Package: groovy.org.codenarc.rule.groovyism

## [Groovy] Class ExplicitTreeSetInstantiationRule

- groovy.org.codenarc.rule.groovyism.ExplicitTreeSetInstantiationRule

- This rule checks for the explicit instantiation of a TreeSet using the no-arg constructor. In Groovy, it is best to write "new TreeSet()" as "[] as SortedSet", which creates the same object.

  Authors:
    Hamlet D'Arcy
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `name`
    `int` | `priority`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `AstVisitor` | `getAstVisitor()`

- - ### Property Detail

    - #### String name

    - #### int priority

  - ### Method Detail

    - #### @Override AstVisitor getAstVisitor()